{
  "id": "w_craft_20",
  "name": "Crafting Spree",
  "category": "weekly",
  "repeatable": true,
  "timeWindow": {
    "type": "weekly",
    "resetAtUtc": "00:00"
  },
  "prerequisites": {
    "questsCompleted": [],
    "playerLevelMin": 3,
    "guildRequired": false
  },
  "objectives": [
    {
      "id": "obj_craft",
      "type": "CRAFT_TOOLS",
      "target": 20,
      "params": {
        "toolId": "any"
      },
      "progress": 0,
      "complete": false
    }
  ],
  "rewards": [
    {
      "type": "coin",
      "amount": 2000
    },
    {
      "type": "money",
      "amount": 40
    },
    {
      "type": "item",
      "items": [
        {
          "itemId": "xp_booster",
          "qty": 1
        }
      ]
    },
    {
      "type": "item",
      "itemId": "wp_golden_empire",
      "quantity": 1
    }
  ],
  "ui": {
    "icon": "quest_weekly_craft",
    "summary": "Craft 20 items this week."
  }
}